<?php if (!defined('ABSPATH')) exit;

if ( $_POST ) {
	
	if ( isset($_POST['GOOYAPAY_MerchantID']) ) {
		update_option( 'GOOYAPAY_MerchantID', $_POST['GOOYAPAY_MerchantID'] );
	}
	
	if ( isset($_POST['GOOYAPAY_IsOK']) ) {
		update_option( 'GOOYAPAY_IsOK', $_POST['GOOYAPAY_IsOK'] );
	}
  
	if ( isset($_POST['GOOYAPAY_IsError']) ) {
		update_option( 'GOOYAPAY_IsError', $_POST['GOOYAPAY_IsError'] );
	}
	
  if ( isset($_POST['GOOYAPAY_Unit']) ) {
		update_option( 'GOOYAPAY_Unit', $_POST['GOOYAPAY_Unit'] );
	}
  
  if ( isset($_POST['GOOYAPAY_UseCustomStyle']) ) {
		update_option( 'GOOYAPAY_UseCustomStyle', 'true' );
    
    if ( isset($_POST['GOOYAPAY_CustomStyle']) )
    {
      update_option( 'GOOYAPAY_CustomStyle', strip_tags($_POST['GOOYAPAY_CustomStyle']) );
    }
    
	}
  else
  {
    update_option( 'GOOYAPAY_UseCustomStyle', 'false' );
  }
  
	echo '<div class="updated" id="message"><p><strong>تنظیمات ذخیره شد</strong>.</p></div>';
	
}
?>
<h2 id="add-new-user">تنظیمات افزونه حمایت مالی - گویا پـــی</h2>
<h2 id="add-new-user">جمع تمام پرداخت ها : <?php echo get_option("GOOYAPAY_TotalAmount"); ?>  تومان</h2>
<form method="post">
  <table class="form-table">
    <tbody>
      <tr class="user-first-name-wrap">
        <th><label for="GOOYAPAY_MerchantID">کد دروازه پرداخت</label></th>
        <td>
          <input type="text" class="regular-text" dir="ltr" value="<?php echo get_option( 'GOOYAPAY_MerchantID'); ?>" id="GOOYAPAY_MerchantID" name="GOOYAPAY_MerchantID">
          <p class="description indicator-hint">XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX</p>
        </td>
      </tr>
      <tr>
        <th><label for="GOOYAPAY_IsOK">پرداخت صحیح</label></th>
        <td><input type="text" class="regular-text" value="<?php echo get_option( 'GOOYAPAY_IsOK'); ?>" id="GOOYAPAY_IsOK" name="GOOYAPAY_IsOK"></td>
      </tr>
      <tr>
        <th><label for="GOOYAPAY_IsError">خطا در پرداخت</label></th>
        <td><input type="text" class="regular-text" value="<?php echo get_option( 'GOOYAPAY_IsError'); ?>" id="GOOYAPAY_IsError" name="GOOYAPAY_IsError"></td>
      </tr>
      
      <tr class="user-display-name-wrap">
        <th><label for="GOOYAPAY_Unit">واحد پول</label></th>
        <td>
          <?php $GOOYAPAY_Unit = get_option( 'GOOYAPAY_Unit'); ?>
          <select id="GOOYAPAY_Unit" name="GOOYAPAY_Unit">
            <option <?php if($GOOYAPAY_Unit == 'تومان' ) echo 'selected="selected"' ?>>تومان</option>
            <option <?php if($GOOYAPAY_Unit == 'ریال' ) echo 'selected="selected"' ?>>ریال</option>
          </select>
        </td>
      </tr>
      
      <tr class="user-display-name-wrap">
        <th>استفاده از استایل سفارشی</th>
        <td>
          <?php $GOOYAPAY_UseCustomStyle = get_option('GOOYAPAY_UseCustomStyle') == 'true' ? 'checked="checked"' : ''; ?>
          <input type="checkbox" name="GOOYAPAY_UseCustomStyle" id="GOOYAPAY_UseCustomStyle" value="true" <?php echo $GOOYAPAY_UseCustomStyle ?> /><label for="GOOYAPAY_UseCustomStyle">استفاده از استایل سفارشی برای فرم</label><br>
        </td>
      </tr>
      
      
      <tr class="user-display-name-wrap" id="GOOYAPAY_CustomStyleBox" <?php if(get_option('GOOYAPAY_UseCustomStyle') != 'true') echo 'style="display:none"'; ?>>
        <th>استایل سفارشی</th>
        <td>
          <textarea style="width: 90%;min-height: 400px;direction:ltr;" name="GOOYAPAY_CustomStyle" id="GOOYAPAY_CustomStyle"><?php echo get_option('GOOYAPAY_CustomStyle') ?></textarea><br>
        </td>
      </tr>
      
    </tbody>
  </table>
  <p class="submit"><input type="submit" value="به روز رسانی تنظیمات" class="button button-primary" id="submit" name="submit"></p>
</form>

<script>
  if(typeof jQuery == 'function')
  {
    jQuery("#GOOYAPAY_UseCustomStyle").change(function(){
      if(jQuery("#GOOYAPAY_UseCustomStyle").prop('checked') == true)
        jQuery("#GOOYAPAY_CustomStyleBox").show(500);
      else
        jQuery("#GOOYAPAY_CustomStyleBox").hide(500);
    });
  }
</script>

